import 'dart:io';

import 'package:gen_export/gen_export.dart';

Future<void> main(List<String> args) async {
  if (args.contains('update')) {
    Process.runSync('dart', ['pub', 'global', 'deactivate', 'gen_export']);
    Process.runSync('dart', ['pub', 'global', 'activate', 'gen_export']);
    return;
  }

  generateExport(
    libDir,
    fileName: packageName,
    ext: '',
  );

  Process.runSync('dart', ['format', '.']);
}
